#!/etc/opt/openit/perl
use strict;
use warnings;
use File::Copy;

my $cwd = `pwd`;
chomp $cwd;

my $newfile = "$cwd/files/classvar_mapping_config";

open(my $fh, '>', $newfile) or die "Could not open file '$newfile' $!";

print $fh "";

open($fh, '>>', $newfile) or die "Could not open file '$newfile' $!";

my $filename = '/var/opt/openit/etc/classvar_mapping_config';
open(my $fh2, '<', $filename) or die "Could not open file '$filename' $!";

my $flag = 0;

while (my $row = <$fh2>) {
	chomp $row;

	if($row =~ m/\(License\^logfile\^events\^v2,/) { $flag = 1; }
	
	my $substr = "Details";
	
	if(index($row, $substr) != -1 && $flag eq 2){
		$flag = 0;
	}
	
	$substr = "License^manager";
	
	if(index($row, $substr) != -1 && $flag eq 2) {
		$row =~ s/License\^manager/Details/ig;
		print $fh $row;
		print $fh "\n";
		$flag = 0;
		next;
	}elsif (index($row, $substr) == -1 && $flag eq 2){
		$row = "     ((Product, Feature), (Package, Feature), (Feature, Feature^version), (Product, Details), (Event^type, Event^subtype))),";
		print $fh $row;
		print $fh "\n";
		$flag = 0;
		next;
	}	
	
	if($row =~ m/\(User, Host\^name\),/ && $flag eq 1) {
		$flag = 2;
	}

	if($row =~ m/\(User, Host\^name, Details\),/ && $flag eq 1) {
		$flag = 2;
	}

	$substr = "(Product, Details)";	
	
	if(index($row, $substr) != -1 && $flag eq 2) { $flag = 0;}
	
	
	
	print $fh $row;
	print $fh "\n";
}

close $fh2;
close $fh;